# SideLoader Extended Effects

Adds a collection of custom SL_Effect behaviours for use with SideLoader.

Currently [this list](https://github.com/Grim-/SideLoader_ExtendedEffects/blob/main/Documentation.md) is small but requests are welcome.

For example this library adds the SL_PlayAssetBundleVFX allowing you to spawn custom VFX Prefabs bundled in Unity.


```xml
<?xml version="1.0" encoding="utf-8" ?>
<?xml version="1.0" encoding="utf-8" ?>
<SL_Effect xsi:type="SL_PlayAssetBundleVFX">
  <Delay>0</Delay>
  <SyncType>OwnerSync</SyncType>
  <OverrideCategory>None</OverrideCategory>
  <SLPackName>MySLPack</SLPackName>
  <AssetBundleName>MyAssetBundleName</AssetBundleName>
  <PrefabName>NameOfPrefabInAssetBundle</PrefabName>
  <PositionOffset>
      <x>0</x>
      <y>0</y>
      <z>0</z>
  </PositionOffset>
  <RotationOffset>
      <x>0</x>
      <y>0</y>
      <z>0</z>
  </RotationOffset>
  <ParentToAffected>true</ParentToAffected>
</SL_Effect>

```

Until the documentation is fully written you can visit the [github](https://github.com/Grim-/SideLoader_ExtendedEffects/blob/main/Documentation.md) for examples of the SL_Effects already available 


Emo & Faeryn

TODO - Better Documentation